Bug 1217147 - cjk input setup (rfe)
Summary: cjk input setup (rfe)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-settings
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-29 16:09 UTC by Rex Dieter
Modified: 2016-07-19 13:55 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 13:55:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Rex Dieter 2015-04-29 16:09:26 UTC
[11:04] <Sho_> rdieter: Here's everything we'd need: If you install in e.g. Korean, ibus needs to be installed and set up properly (QT_IM_MODULE, etc.), then the language-specific engine ibus-hangul, and then kimpanel needs to be installed (it's in kdeplasma-addon) and the conflict betweek gtkpanel.xml and kimpanel.xml in /usr/share/ibus/components needs to be resolved (it prefers gtkpanel by default, but you can start ibus-daemon with --panel=path_to.so to override, so maybe a
[11:04] <Sho_> kde-specific autostart .desktop) and put on the default panel (i.e. the init.js needs to know when it's needed)
[11:04] <Sho_> rdieter: I assume that someone else in Fedora has already tried to do the work of mapping install langs to the need to pull in ibus and language engine plugins
[11:04] * rdieter looks in comps
[11:04] <Sho_> rdieter: so on the fedora kde side, it's about getting kimpanel installed and ibus-daemon to use it, and putting it on the panel
[11:06] <rdieter> Sho_: ok, for the korean example, looks like what's in comps so far includes just: ibus-hangul (and fonts)
[11:06] <rdieter> which I assume pulls in ibus infrasture as needed
[11:07] <rdieter> so looks like the rest of your list is TODO items

Comment 1 Rex Dieter 2015-04-29 16:22:40 UTC
more details:

[11:15] <Sho_> rdieter: Setting QT_IM_MODULE to ibus even when ibus-daemon isn't running should be harmless, Qt will then drop through to its default input method context plugin that handles the X11 compose key
[11:16] <Sho_> rdieter: usually you also want to set GTK_IM_MODULE=ibus and XMODIFIERS=@im=ibus
[11:17] <Sho_> rdieter: the trickier part may be the UI frontend
[11:18] <Sho_> rdieter: Basically, an input method framework has some UI frontend bits - kimpanel as a panel widget will show the active language, language-specific toggle buttons (say half/full width toggles for Chinese or hanja lock for Korean) and so on, and depending on the language it will also show popups next to the cursor with completion options
[11:18] <Sho_> rdieter: The default ibus frontend is GTK+, but we have kimpanel in kdeplasma-addons
[11:18] <Sho_> rdieter: There's a /usr/share/ibus/components/ where these frontends register themselves via .xml files that describe them and point to the .so path
[11:19] <Sho_> rdieter: Getting ibus to prefer a particular frontend either needs config, or ibus-daemon can be run with --panel=/path/to/kimpanel-ibus-panel
[11:20] <Sho_> rdieter: So I was thinking, iirc we have kde-specific autostart for the pulseaudio daemon?
[11:20] <Sho_> maybe something similar with a custom autostart .desktop for ibus-daemon
[11:20] <rdieter> yeah, do something similar for -ibus , exactly
[11:21] <rdieter> it would be resonsible for pulling in deps  like kimpanel(kdeplasma-addons)
[11:21] <Sho_> rdieter: https://wiki.archlinux.org/index.php/IBus#Kimpanel contains a sample .desktop

Comment 2 fujiwara 2015-04-30 05:41:50 UTC
kimpanel is no longer used in ibus 1.5 and it's conflict with gtkpanel as you see.
You can show ibus icon in Fedora 22 KDE 5 with ibus 1.5.10.

Comment 3 Than Ngo 2015-04-30 09:52:39 UTC
rex, as i understand the reported issue doesn't have to do with kde-l10n!

Comment 4 Rex Dieter 2015-04-30 11:05:17 UTC
True, I abused this component to track what needs to be done, I'll move it to kde-settings.

Comment 5 fujiwara 2015-05-01 02:55:39 UTC
I would think ibus kimpanel is no longer available so this will not be fixed.
Now ibus panel has keybindings besides the icon so probably I think the maintaining another panel would be cost in ibus 1.5 against 1.4.
Implementing kimpanel has been requested in bug 583716.
If another panel is installed, it would be wrong to use the conf file. It's good to specify ibus-daemon --panel foo.

Comment 6 Fedora End Of Life 2016-07-19 13:55:35 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.